/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.client.internal.mixins.PlanMode"); //$NON-NLS-1$

//dojo.require("com.ibm.team.apt.ui.model.OptionsStore");

(function() { // module container

/**
 * This mixin is designed to be applied to PlanModeDTOs
 */
com.ibm.team.apt.web.client.internal.mixins.PlanMode= {

	__store: null,
		
	// ---- API ------------------------------------------------------------------------------------------------------------	

	getStore: function() {
		if (!this.__store) {
			this.__store= new com.ibm.team.apt.ui.model.OptionsStore(eval(this.store || "({})")); //$NON-NLS-1$
		}
		return this.__store;
	},

	getFilter: function(filterId) {
		return this.__getConfigDescriptor(this.filters, filterId);
	},

	// ---- implementation -------------------------------------------------------------------------------------------------

	__getConfigDescriptor: function(configurations, id) {
		for (var i= 0; i < configurations.length; i++) {
			if (id == configurations[i].id) {
				return configurations[i];
			}
		}
		return null;
	},
	
	__sentinel: null // terminates this class definition
};

})();