﻿/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

class VerticalBarShape extends BarShape {
	
	public function VerticalBarShape(outlineColour:Number, fillColour:Number, name:String, value:Number, animate:Boolean) {
		super(outlineColour, fillColour, name, value, animate);
	}	

	public function animateBar(x1:Number, x2:Number, y1:Number, y2:Number):Void {

		this.scale = y2 - y1;
		this.scaleIncrement = this.scale * BarShape.SCALE_RATE;

		var context = this;
        var tweenY1:Number = 0;

	    this.mc.onEnterFrame = function() {
	    	
	    	context.scale = context.scale - context.scaleIncrement;
	        
	        if (context.scale < 0) {
	        	tweenY1 = y1;
	        } else {
	        	tweenY1 = y1 + context.scale;
	        }

	        this.clear();
	        context.drawBar(x1, x2, tweenY1, y2);

	        if (context.scale < 0) {
	        	delete this.onEnterFrame;
	        }
	    };	
	}	
	
	public function destroy():Void {
		super.destroy();
	}			
	
}