/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.foundation.common.Context"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.foundation.common.Context", null, { //$NON-NLS-1$

	constructor: function(contextData) {
		this.get= function(contextId) {
			return contextData[contextId];
		};
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	get: function(contextId) {
		// this method will be mixed-in by the constructor to avoid exposing the context data 
	},

	__sentinel: null // terminates this class definition
});

})();
